Page MenuHomePhabricator

[Story] Convert all extensions that are part of the Wikidata build to use the new extension registration
Closed, InvalidPublic

Description

we need to investigate what exactly and how to convert Wikibase extensions (e.g. also PropertySuggester) to use the new extension registration mechanism, and break this down into more specific tasks.

Related Objects

Event Timeline

aude created this task.Mar 17 2015, 4:40 PM
aude raised the priority of this task from to Normal.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 4:40 PM
Tobi_WMDE_SW renamed this task from investigate and break down into specific tasks for converting Wikibase* to use new extension registration mechanism to Convert all extensions that are part of the Wikidata build to use the new extension registration.Jun 16 2015, 12:45 PM
aude renamed this task from Convert all extensions that are part of the Wikidata build to use the new extension registration to [Story] Convert all extensions that are part of the Wikidata build to use the new extension registration.Aug 14 2015, 9:19 AM

It would be really nice if we could complete this and get O(1) setup time for $wgAutoloadClasses

Change 345616 had a related patch set uploaded (by Reedy):
[mediawiki/extensions/WikimediaBadges@master] Convert WikimediaBadges to extension registration

https://gerrit.wikimedia.org/r/345616

Change 345616 merged by Krinkle:
[mediawiki/extensions/WikimediaBadges@master] Convert WikimediaBadges to extension registration

https://gerrit.wikimedia.org/r/345616

Addshore closed this task as Invalid.Nov 30 2017, 11:51 AM
Addshore added a subscriber: Addshore.

As this refers to the build (which is about to die) I will close it.

I guess the parent ticket would now be T140852: Load all Wikimedia-deployed extensions and skins via extension registration

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 30 2017, 11:52 AM